Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x4_w8_1.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x4_w8_1.cfg	(revision 124)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x4_w8_1.cfg	(revision 128)
@@ -31,5 +31,5 @@
     <parameter name="rename_select_nb_front_end_select"     value="1"  />
     <parameter name="nb_general_register"                   value="512"/>
-    <parameter name="nb_special_register"                   value="128"/>
+    <parameter name="nb_special_register"                   value="256"/>
     <parameter name="nb_reg_free"                           value="16" />
     <parameter name="nb_rename_unit_bank"                   value="16" />
@@ -49,9 +49,9 @@
   </write_bloc>                                             
 
-  <load_store_unit id="0">                                  
-    <parameter name="size_store_queue"                      value="16" />
-    <parameter name="size_load_queue"                       value="32" />
-    <parameter name="size_speculative_access_queue"         value="4" />
-    <parameter name="nb_port_check"                         value="4" />
+  <load_store_unit id="0,1,2,3">                                  
+    <parameter name="size_store_queue"                      value="4" />
+    <parameter name="size_load_queue"                       value="8" />
+    <parameter name="size_speculative_access_queue"         value="2" />
+    <parameter name="nb_port_check"                         value="1" />
     <parameter name="speculative_load"                      value="2" />
     <parameter name="nb_bypass_memory"                      value="0" />
@@ -98,29 +98,9 @@
                                                             
     <predictor id="0">                                      
-      <parameter name="dir_have_bht"                        value="1"  />
-      <parameter name="dir_bht_size_shifter"                value="10" />
-      <parameter name="dir_bht_nb_shifter"                  value="1024" />
+      <parameter name="dir_have_bht"                        value="0"  />
       <parameter name="dir_have_pht"                        value="1"  />
-      <parameter name="dir_pht_size_counter"                value="3"  />
+      <parameter name="dir_pht_size_counter"                value="2"  />
       <parameter name="dir_pht_nb_counter"                  value="4096" />
       <parameter name="dir_pht_size_address_share"          value="0"  />
-    </predictor>                                            
-    <predictor id="1">                                      
-      <parameter name="dir_have_bht"                        value="1" />
-      <parameter name="dir_bht_size_shifter"                value="12" />
-      <parameter name="dir_bht_nb_shifter"                  value="1" />
-      <parameter name="dir_have_pht"                        value="1" />
-      <parameter name="dir_pht_size_counter"                value="2" />
-      <parameter name="dir_pht_nb_counter"                  value="4096" />
-      <parameter name="dir_pht_size_address_share"          value="0" />
-    </predictor>                                            
-    <predictor id="2">                                      
-      <parameter name="dir_have_bht"                        value="1" />
-      <parameter name="dir_bht_size_shifter"                value="12" />
-      <parameter name="dir_bht_nb_shifter"                  value="1" />
-      <parameter name="dir_have_pht"                        value="1" />
-      <parameter name="dir_pht_size_counter"                value="2" />
-      <parameter name="dir_pht_nb_counter"                  value="4096" />
-      <parameter name="dir_pht_size_address_share"          value="0" />
     </predictor>                                            
 
@@ -152,5 +132,5 @@
     <parameter name="nb_read_unit"                          value="11" />
     <parameter name="nb_write_unit"                         value="11" />
-    <parameter name="nb_execute_unit"                       value="11" />
+    <parameter name="nb_execute_unit"                       value="14" />
     <parameter name="nb_gpr_bank"                           value="1" />
     <parameter name="nb_gpr_port_read_by_bank"              value="22" />
@@ -172,5 +152,5 @@
   <parameter name="icache_port_load_balancing"              value="1" />
                                                             
-  <parameter name="nb_dcache_port"                          value="1" />
+  <parameter name="nb_dcache_port"                          value="4" />
   <parameter name="dcache_port_priority"                    value="1" />
   <parameter name="dcache_port_load_balancing"              value="1" />
@@ -216,19 +196,23 @@
 
   <link name="link_load_store_unit_with_thread"        src="0"     dest="0"   />
-  <link name="link_load_store_unit_with_thread"        src="1"     dest="0"   />
-  <link name="link_load_store_unit_with_thread"        src="2"     dest="0"   />
-  <link name="link_load_store_unit_with_thread"        src="3"     dest="0"   />
+  <link name="link_load_store_unit_with_thread"        src="1"     dest="1"   />
+  <link name="link_load_store_unit_with_thread"        src="2"     dest="2"   />
+  <link name="link_load_store_unit_with_thread"        src="3"     dest="3"   />
 
   <link name="link_execute_unit_with_load_store_unit"  src="0"     dest="0.0"/>
-  <link name="link_execute_unit_with_functionnal_unit" src="0"     dest="0.1"/>
-  <link name="link_execute_unit_with_functionnal_unit" src="1"     dest="0.2"/>
-  <link name="link_execute_unit_with_functionnal_unit" src="2"     dest="0.3"/>
-  <link name="link_execute_unit_with_functionnal_unit" src="3"     dest="0.4"/>
-  <link name="link_execute_unit_with_functionnal_unit" src="4"     dest="0.5"/>
-  <link name="link_execute_unit_with_functionnal_unit" src="5"     dest="0.6"/>
-  <link name="link_execute_unit_with_functionnal_unit" src="6"     dest="0.7"/>
-  <link name="link_execute_unit_with_functionnal_unit" src="7"     dest="0.8"/>
-  <link name="link_execute_unit_with_functionnal_unit" src="8"     dest="0.9"/>
-  <link name="link_execute_unit_with_functionnal_unit" src="9"     dest="0.10"/>
+  <link name="link_execute_unit_with_load_store_unit"  src="1"     dest="0.1"/>
+  <link name="link_execute_unit_with_load_store_unit"  src="2"     dest="0.2"/>
+  <link name="link_execute_unit_with_load_store_unit"  src="3"     dest="0.3"/>
+
+  <link name="link_execute_unit_with_functionnal_unit" src="0"     dest="0.4"/>
+  <link name="link_execute_unit_with_functionnal_unit" src="1"     dest="0.5"/>
+  <link name="link_execute_unit_with_functionnal_unit" src="2"     dest="0.6"/>
+  <link name="link_execute_unit_with_functionnal_unit" src="3"     dest="0.7"/>
+  <link name="link_execute_unit_with_functionnal_unit" src="4"     dest="0.8"/>
+  <link name="link_execute_unit_with_functionnal_unit" src="5"     dest="0.9"/>
+  <link name="link_execute_unit_with_functionnal_unit" src="6"     dest="0.10"/>
+  <link name="link_execute_unit_with_functionnal_unit" src="7"     dest="0.11"/>
+  <link name="link_execute_unit_with_functionnal_unit" src="8"     dest="0.12"/>
+  <link name="link_execute_unit_with_functionnal_unit" src="9"     dest="0.13"/>
 
   <link name="link_icache_port_with_thread"            src="0"     dest="0"   />
@@ -238,4 +222,7 @@
 
   <link name="link_dcache_port_with_load_store_unit"   src="0.0"   dest="0"   />
+  <link name="link_dcache_port_with_load_store_unit"   src="1.0"   dest="1"   />
+  <link name="link_dcache_port_with_load_store_unit"   src="2.0"   dest="2"   />
+  <link name="link_dcache_port_with_load_store_unit"   src="3.0"   dest="3"   />
 
   <link name="table_dispatch"                          src="0.0.0" dest="1"   />
@@ -350,4 +337,40 @@
   <link name="link_read_bloc_and_load_store_unit"      src="10.0"  dest="0"   />
 
+  <link name="link_read_bloc_and_load_store_unit"      src="0.1"   dest="1"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="1.1"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="2.1"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="3.1"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="4.1"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="5.1"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="6.1"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="7.1"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="8.1"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="9.1"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="10.1"  dest="0"   />
+
+  <link name="link_read_bloc_and_load_store_unit"      src="0.2"   dest="1"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="1.2"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="2.2"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="3.2"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="4.2"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="5.2"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="6.2"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="7.2"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="8.2"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="9.2"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="10.2"  dest="0"   />
+
+  <link name="link_read_bloc_and_load_store_unit"      src="0.3"   dest="1"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="1.3"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="2.3"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="3.3"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="4.3"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="5.3"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="6.3"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="7.3"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="8.3"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="9.3"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="10.3"  dest="0"   />
+
   <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.0"   dest="1"   />
@@ -482,4 +505,40 @@
   <link name="link_write_bloc_and_load_store_unit"     src="10.0"  dest="0"   />
 
+  <link name="link_write_bloc_and_load_store_unit"     src="0.1"   dest="1"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="1.1"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="2.1"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="3.1"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="4.1"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="5.1"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="6.1"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="7.1"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="8.1"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="9.1"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="10.1"  dest="0"   />
+
+  <link name="link_write_bloc_and_load_store_unit"     src="0.2"   dest="1"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="1.2"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="2.2"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="3.2"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="4.2"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="5.2"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="6.2"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="7.2"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="8.2"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="9.2"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="10.2"  dest="0"   />
+
+  <link name="link_write_bloc_and_load_store_unit"     src="0.3"   dest="1"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="1.3"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="2.3"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="3.3"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="4.3"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="5.3"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="6.3"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="7.3"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="8.3"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="9.3"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="10.3"  dest="0"   />
+
   <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
